org.eclipse.jdt.junit.model

## Interface ITestRunSession

All Superinterfaces:
  ITestElement, ITestElementContainer

    public interface ITestRunSession
    extends ITestElementContainer

Represents a test run session.

This interface is not intended to be implemented by clients.

Since:
  3.3
Restriction:
  This interface is not intended to be implemented by clients.
Restriction:
  This interface is not intended to be extended by clients.

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.eclipse.jdt.junit.model.ITestElement

`ITestElement.FailureTrace, ITestElement.ProgressState, ITestElement.Result`

### Method Summary

All Methods Instance Methods Abstract Methods
`IJavaProject` `getLaunchedProject()` Returns the Java project from which this test run session has been launched, or `null` if not available.
`String` `getTestRunName()` Returns the name of the test run.

### Methods inherited from interface org.eclipse.jdt.junit.model.ITestElementContainer

`getChildren`

### Methods inherited from interface org.eclipse.jdt.junit.model.ITestElement

`getElapsedTimeInSeconds, getFailureTrace, getParentContainer, getProgressState, getTestResult, getTestRunSession`

### Method Detail

#### getTestRunName

    String getTestRunName()

Returns the name of the test run. The name is the name of the launch configuration use to run this test.

Returns:
  returns the test run name

#### getLaunchedProject

    IJavaProject getLaunchedProject()

Returns the Java project from which this test run session has been launched, or `null` if not available.

Returns:
  the launched project, or `null` is not available.
Since:
  3.6